Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ffprobes = client.streaming.statistics.get_ffprobes(
date_from="date_from",
date_to="date_to",
stream_id="stream_id",
)
print(ffprobes.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
ffprobes, err := client.Streaming.Statistics.GetFfprobes(context.TODO(), streaming.StatisticGetFfprobesParams{
DateFrom: "date_from",
DateTo: "date_to",
StreamID: "stream_id",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", ffprobes.Data)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/ffprobe \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/ffprobe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"time": "2006-01-02 15:04:05",
"avg_bitrate": 3500.5,
"sum_frames": 500,
"max_height": 1080,
"max_fps": 25,
"max_keyframe_interval": 1
}
]
}{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Statistics
Get stream ffprobe
Aggregates data for the specified video stream in the specified time interval. “interval” and “units” params working together to point aggregation interval.
You can use this method to watch when stream was alive in time, and when it was off.
GET
/
streaming
/
statistics
/
ffprobe
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ffprobes = client.streaming.statistics.get_ffprobes(
date_from="date_from",
date_to="date_to",
stream_id="stream_id",
)
print(ffprobes.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
ffprobes, err := client.Streaming.Statistics.GetFfprobes(context.TODO(), streaming.StatisticGetFfprobesParams{
DateFrom: "date_from",
DateTo: "date_to",
StreamID: "stream_id",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", ffprobes.Data)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Start of time frame. Format is ISO 8601.
End of time frame. Datetime in ISO 8601 format.
Stream ID
Available options:
second, minute, hour, day, week, month Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I